<template>
  <div class="mbutton">
      <van-button type="primary" @click="onClick" round block>{{ text }}</van-button>
  </div>
</template>

<script>
export default {
    name: "mbutton",
    props: {
        text: String,
        disabled: Boolean
    },
    data() {
        return {}
    },
    methods: {
        onClick() {
            this.$emit('click')
        }
    }
};
</script>

<style lang="less" scoped>
@import url("../assets/commonLess/variable");
.mbutton {
    margin: .35rem 0 .2rem;
}
.van-button--primary {
    background-color: var(--main-color);
    border: 1px solid var(--main-color);
    color: #FFFFFF;
    font-size: .18rem;
    height: .5rem;
    line-height: .52rem;
    width: 90%;
    margin-left: 5%;
}

</style>